Topics

Important notice on add-on compatibility website: add-on additions and status changes due to manifest checks

 

Hi all,

 

A few days ago the NVDA community had a discussion about what is considered “compatible with NVDA 2019.3”. Based on comments from the community (namely considering manifest information in addition to source code), the following changes will be made to add-on compatibility announcements page:

 

  • Several add-ons released in recent days will be added – the good news is that most are Python 3/NVDA 2019.3 ready. In particular, David CM’s Beep Keyboard and Synth Ring Settings Selector are both Python 3 ready (source code and manifest).
  • Some add-ons with outdated manifest information will be marked “incompatible”. The most notable cases are Extended Winamp and Classic Selection. Although some of them are source code compatible, from users’ perspective, they are not because of outdated compatibility statements. Please update manifest info as soon as possible; if not, the community will exercise our option of maintaining those add-ons ourselves in the future.

 

Cheers,

Joseph